import { AbstractBaseToolPopup } from './AbstractBaseToolPopup.js';
import { IDesignerCanvas } from '../../../IDesignerCanvas.js';
import { CommandType } from '../../../../../../commandHandling/CommandType.js';
export declare class DrawToolPopup extends AbstractBaseToolPopup {
    private designerCanvas;
    static style: CSSStyleSheet[];
    static template: HTMLTemplateElement;
    constructor(designerCanvas: IDesignerCanvas);
    ready(): void;
    getEditor(commandType: CommandType, type: string, additional: {
        [key: string]: any;
    }, currentValue: any): HTMLElement;
}
